Skip to main content
`Ctrl`+`K`

# EPSJDSetFix

Sets the threshold for changing the target in the correction equation.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDSetFix(EPS eps,PetscReal fix)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- fix - threshold for changing the target

## Options Database Key

- -eps_jd_fix fix - the fix value

## Notes

The target in the correction equation is fixed at the first iterations. When the norm of the residual vector is lower than the `fix` value, the target is set to the corresponding eigenvalue.

Detailed information can be found at [Romero and Roman, 2014].

## References

[Rom14]

E. Romero and J. E. Roman. A parallel implementation of Davidson methods for large-scale eigenvalue problems in SLEPc. ACM Trans. Math. Software, 40(2):13:1–13:29, 2014. doi:10.1145/2543696.

## See Also

EPS: Eigenvalue Problem Solver, `EPSJD`, `EPSJDGetFix()`

## Level

advanced

## Location

src/eps/impls/davidson/jd/jd.c

## Implementations

EPSJDSetFix_JD() in src/eps/impls/davidson/jd/jd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages